%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-expat
Version:        1.3.0
Release:        %mkrel 1
Summary:        OCaml wrapper for the Expat XML parsing library
License:        MIT
Group:          Development/OCaml
URL:            https://github.com/whitequark/ocaml-expat
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(expat)

%description
An ocaml wrapper for the Expat XML parsing library. It allows you to write
XML-Parsers using the SAX method. An XML document is parsed on the fly
without needing to load the entire XML-Tree into memory.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       pkgconfig(expat)
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%autosetup -p1

# Fix the ounit name, build with Fedora flags, and make libraries with debuginfo
sed -e 's/oUnit/ounit2/g' \
    -e 's|-O2 -I\$(EXPAT_INCDIR)|%{build_cflags}|' \
    -e 's/\$(OCAMLMKLIB)/& -g/' \
    -i Makefile

# We do not need the README in the doc output
rm doc/README


%build
make depend
make -j1 all \
%ifarch %{ocaml_native_compiler}
  allopt \
  OCAMLC="ocamlc.opt -g" \
  OCAMLOPT="ocamlopt.opt -g"
%endif


%install
export OCAMLFIND_DESTDIR=%{buildroot}%{ocamldir}
mkdir -p $OCAMLFIND_DESTDIR/stublibs
%make_install
%ocaml_files


%files -f .ofiles
%doc README changelog
%license LICENCE


%files devel -f .ofiles-devel
%doc README changelog
%license LICENCE


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2193742
- new version: 1.3.0

* Wed May 18 2022 pterjan <pterjan> 1.1.0-10.mga9
+ Revision: 1858760
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.1.0-9.mga9
+ Revision: 1832441
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.1.0-8.mga9
+ Revision: 1750689
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.1.0-7.mga9
+ Revision: 1696534
- rebuild for ocaml-4.2-12

* Fri Feb 28 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1551141
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1543238
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 1.1.0-4.mga8
+ Revision: 1481531
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Oct 23 2018 tv <tv> 1.1.0-3.mga7
+ Revision: 1324045
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.1.0-2.mga7
+ Revision: 1323733
- Rebuild for ocaml 4.07

* Mon Aug 27 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1255047
- new version: 1.1.0
- rename and rediff optflags patch

* Sun Nov 26 2017 tv <tv> 0.9.1-23.mga7
+ Revision: 1179301
- rebuild for new ocaml

* Sat Nov 25 2017 tv <tv> 0.9.1-22.mga7
+ Revision: 1179142
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 0.9.1-21.mga7
+ Revision: 1169329
- patch0: honor user CFLAGS thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 0.9.1-20.mga6
+ Revision: 1056332
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 0.9.1-19.mga6
+ Revision: 930786
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-18.mga5
+ Revision: 749291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-17.mga5
+ Revision: 683025
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-16.mga4
+ Revision: 536096
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.9.1-15.mga4
+ Revision: 483326
- building and providing the ocamldoc generated API documentation

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-14.mga3
+ Revision: 361296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.1-13.mga3
+ Revision: 301426
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.1-11.mga3
+ Revision: 300076
- new rpm group for ocaml
- keep the .so.owner file
- clean spec file

* Sun Oct 02 2011 fwang <fwang> 0.9.1-10.mga2
+ Revision: 150905
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.9.1-9.mga1
+ Revision: 82353
- Imported package ocaml-expat from Mandriva where it was created by Guillaume Rousse, and maintained by Guillaume Rousse and Per Øyvind Karlsen.


* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-9mdv2010.0
+ Revision: 389828
- rebuild

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-8mdv2009.1
+ Revision: 320722
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-5mdv2008.1
+ Revision: 178367
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-4mdv2008.0
+ Revision: 77677
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Sat Jun 23 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.1-3mdv2008.0
+ Revision: 43341
- build 'allopt' too

* Tue Jun 19 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.1-2mdv2008.0
+ Revision: 41240
- rebuild against new ocaml

* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 18421
- Import ocaml-expat



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
- first mdv release
